#!/usr/bin/env bash

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# Script for restoring original Paper lantern users StatsBar

BASE_UPD_URL='http://httpupdate.cpanel.net/cpanelsync/'
CPANEL_VER=`/bin/cat /usr/local/cpanel/version`
CPANEL_BASE=/usr/local/cpanel

cd ${CPANEL_BASE}/base/frontend/paper_lantern/home/

if [ "$CPANEL_VER" \< "11.51" ];
    then
        echo "${BASE_UPD_URL}${CPANEL_VER}/cpanel/base/frontend/paper_lantern/home/stats_bar.html.tt.bz2 => ${CPANEL_BASE}/base/frontend/paper_lantern/home/stats_bar.html.tt"
        /usr/bin/wget --quiet ${BASE_UPD_URL}${CPANEL_VER}/cpanel/base/frontend/paper_lantern/home/stats_bar.html.tt.bz2  -O stats_bar.html.tt.bz2
        /usr/bin/bzip2 --force --decompress stats_bar.html.tt.bz2

        echo "${BASE_UPD_URL}${CPANEL_VER}/cpanel/base/frontend/paper_lantern/home/stats_display_name.html.tt.bz2 => ${CPANEL_BASE}/base/frontend/paper_lantern/home/stats_display_name.html.tt"
        /usr/bin/wget --quiet ${BASE_UPD_URL}${CPANEL_VER}/cpanel/base/frontend/paper_lantern/home/stats_display_name.html.tt.bz2 -O stats_display_name.html.tt.bz2
        /usr/bin/bzip2 --force --decompress stats_display_name.html.tt.bz2
elif [ "$CPANEL_VER" \< "11.53" ]; then
        echo "${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/stats_bar.html.tt.xz => ${CPANEL_BASE}/base/frontend/paper_lantern/home/stats_bar.html.tt"
        /usr/bin/wget --quiet ${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/stats_bar.html.tt.xz  -O stats_bar.html.tt.xz
        /usr/bin/unxz --force --decompress stats_bar.html.tt.xz

        echo "${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/stats_display_name.html.tt.xz => ${CPANEL_BASE}/base/frontend/paper_lantern/home/stats_display_name.html.tt"
        /usr/bin/wget --quiet ${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/stats_display_name.html.tt.xz -O stats_display_name.html.tt.xz
        /usr/bin/unxz --force --decompress stats_display_name.html.tt.xz
elif [ "$CPANEL_VER" \< "11.57" ]; then
        echo "${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/statistics.html.tt => ${CPANEL_BASE}/base/frontend/paper_lantern/home/statistics.html.tt"
        /usr/bin/wget --quiet ${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/statistics.html.tt.xz  -O statistics.html.tt.xz
        /usr/bin/unxz --force --decompress statistics.html.tt.xz

        echo "${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/retro/stats_bar.html.tt => ${CPANEL_BASE}/base/frontend/paper_lantern/home/retro/stats_bar.html.tt"
        /usr/bin/wget --quiet ${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/retro/stats_bar.html.tt.xz -O retro/stats_bar.html.tt.xz
        /usr/bin/unxz --force --decompress retro/stats_bar.html.tt.xz
elif [ "$CPANEL_VER" \< "11.69" ]; then
        echo "${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/retro/stats_bar.html.tt => ${CPANEL_BASE}/base/frontend/paper_lantern/home/retro/stats_bar.html.tt"
        /usr/bin/wget --quiet ${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/retro/stats_bar.html.tt.xz -O retro/stats_bar.html.tt.xz
        /usr/bin/unxz --force --decompress retro/stats_bar.html.tt.xz

        echo "${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/views/statistics.html.tt => ${CPANEL_BASE}/base/frontend/paper_lantern/home/views/statistics.html.tt"
        /usr/bin/wget --quiet ${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/views/statistics.html.tt.xz  -O views/statistics.html.tt.xz
        /usr/bin/unxz --force --decompress views/statistics.html.tt.xz
else
        echo "${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/retro/stats_bar.html.tt => ${CPANEL_BASE}/base/frontend/paper_lantern/home/retro/stats_bar.html.tt"
        /usr/bin/wget --quiet ${BASE_UPD_URL}${CPANEL_VER}/paper_lantern/home/retro/stats_bar.html.tt.xz -O retro/stats_bar.html.tt.xz
        /usr/bin/unxz --force --decompress retro/stats_bar.html.tt.xz
fi
